use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct PluginInfo {
    pub name: String,
    pub version: String,
    pub r#type: PluginType,
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub enum PluginType {
    Extractor,
    Transformer,
}
