use extism_pdk::*;
use shadow_rs::shadow;
use upend_extension_base::{PluginInfo, PluginType};

shadow!(build);

#[plugin_fn]
pub fn info(_arg: ()) -> FnResult<Json<PluginInfo>> {
    Ok(Json(PluginInfo {
        name: "Text".to_string(),
        version: build::PKG_VERSION.to_string(),
        r#type: PluginType::Transformer,
    }))
}
